gnome-mplayer cant play .mid files

Bug #1005861 reported by cjae on 2012-05-29
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
gnome-mplayer (Debian)
Fix Released
Unknown
gnome-mplayer (Ubuntu)
Undecided
Unassigned

Bug Description

The player is either frozen or never starts small .mid sound file. Launched from firefox

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: gnome-mplayer 1.0.5-1
ProcVersionSignature: Ubuntu 3.2.0-24.39-generic 3.2.16
Uname: Linux 3.2.0-24-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.0.1-0ubuntu7
Architecture: amd64
Date: Tue May 29 05:36:17 2012
InstallationMedia: Kubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427)
ProcEnviron:
 LANGUAGE=en_CA:en
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
SourcePackage: gnome-mplayer
UpgradeStatus: Upgraded to precise on 2012-05-04 (24 days ago)

cjae (cjae1) wrote :
Sebastian Ramacher (s-ramacher) wrote :

I guess mplayer just doesn't support mid files. Could you please run gnome-mplayer from a shell with gnome-mplayer -v and load the mid file? This should give you

  ERROR: Failed to recognize file format.

Changed in gnome-mplayer (Ubuntu):
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for gnome-mplayer (Ubuntu) because there has been no activity for 60 days.]

Changed in gnome-mplayer (Ubuntu):
status: Incomplete → Expired
Walter Lapchynski (wxl) on 2012-09-05
Changed in gnome-mplayer (Ubuntu):
status: Expired → Confirmed
Walter Lapchynski (wxl) wrote :

not exactly.
Lubuntu 12.04, gnome-mplayer 1.0.5-1 using http://mb-s2.sakura.ne.jp/tirol/junk/midi/smetana_vltava.mid yields:

---

GNOME MPlayer v1.0.5
gmtk v1.0.5
Running with GIO support
Using audio device: Default
The volume on 'Default' is 1.000000
Using match: type='signal',interface='com.gnome.mplayer'
Using match: type='signal',interface='org.gnome.SettingsDaemon'
Using match: type='signal',interface='org.gnome.SettingsDaemon.MediaKeys'
Proxy connections and Command connected
opening playlist
playlist detection = 0
adding file:///home/wxl/Downloads/smetana_vltava.mid to playlist (cancel = 0)
getting file metadata for /home/wxl/Downloads/smetana_vltava.mid
mplayer -vo null -ao null -nomsgcolor -nomsgmodule -frames 0 -noidx -identify -nocache -noidle /home/wxl/Downloads/smetana_vltava.mid
playing - file:///home/wxl/Downloads/smetana_vltava.mid
is playlist 0
Looking for cover art at /home/wxl/Downloads/cover.jpg
Looking for cover art at /home/wxl/Downloads/Folder.jpg
setting up mplayer
mplayer -channels 2 -af-add export=/tmp/mplayer-af_exportppjcpw:512 -quiet -slave -noidle -noconsolecontrols -nostop-xscreensaver -identify -volume 100 -softvol -msglevel all=5 -osdlevel 0 -delay 0.000000 -subdelay 0.000000 -subpos 0 -sub-fuzziness 0 -wid 0x6600023 -brightness 0 -contrast 0 -hue 0 -saturation 0 -alang Zuni,zun -slang Zuni,zun -nomsgcolor -nomsgmodule -nokeepaspect -ass -embeddedfonts -ass-font-scale 1.00 -ass-color ffffff00 -cache 2000 /home/wxl/Downloads/smetana_vltava.mid
MPlayer svn r34540 (Ubuntu), built with gcc-4.6 (C) 2000-2012 MPlayer Team
ERROR: mplayer: could not connect to socket
ERROR: mplayer: No such file or directory
ERROR: Failed to open LIRC support. You will not be able to use your remote control.

Playing /home/wxl/Downloads/smetana_vltava.mid.

Cache fill: 0.00% (0 bytes)

libavformat version 53.21.0 (external)
Mismatching header version 53.19.0
ID_VIDEO_ID=0
ID_VIDEO_ID=0

Exiting... (End of file)
ID_EXIT=EOF
in media state change with state = 0

---

it seems to be using libav, which doesn't seem to support midi: https://libav.org/general.html#Audio-Codecs
on the other hand, this discussion suggests that it is indeed true that mplayer does not support midi: https://bugs.launchpad.net/ubuntu/+source/mplayer/+bug/231421

On 05/09/12 08:11, Walter Lapchynski wrote:
> it seems to be using libav, which doesn't seem to support midi: https://libav.org/general.html#Audio-Codecs
> on the other hand, this discussion suggests that it is indeed true that mplayer does not support midi: https://bugs.launchpad.net/ubuntu/+source/mplayer/+bug/231421

I think it's best if gnome-mplayer.desktop stops claiming that it handles
audio/midi as the default configuration clearly doesn't support it. I'll take
that to Debian and update this bug as soon as I have a bug number.

Changed in gnome-mplayer (Debian):
status: Unknown → New
Kevin DeKorte (kdekorte-gmail) wrote :

if you can make mplayer support .mid file, which it can with the right options then the code works. I know as I have done it here. So if you mplayer is not packaged to support .mid files then you should drop audio/midi from the list of supported types.

Changed in gnome-mplayer (Debian):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-mplayer - 1.0.7-1

---------------
gnome-mplayer (1.0.7-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * debian/patches:
    - remove-audio-midi-from-desktop.patch: Remove audio/mime from the list of
      supported mime types. mplayer doesn't support midi files, so
      gnome-mplayer doesn't either. (Closes: #686762) (LP: #1005861)
    - fix-errors-with-hardening-flags.patch: Removed, merged upstream.
    - fallback-to-nonsymbolic-icons.patch: If the icon theme doesn't support
      symbolic icons, fallback to hicolor icons.
  * debian/control:
    - Bump Build-Dep on libgmtk-dev to >= 1.0.7.
    - Don't Build-Dep on libgpod-dev on hurd-i386. It's not available there.
    - Bump Standards-Version to 3.9.4 (no changes required).
  * debian/copyright:
    - Update copyright years.
    - Add myself.
  * debian/rules: Build with verbose build output.

 -- Sebastian Ramacher <email address hidden> Sat, 17 Nov 2012 21:47:10 +0100

Changed in gnome-mplayer (Ubuntu):
status: Confirmed → Fix Released
Changed in gnome-mplayer (Debian):
status: Fix Released → New
Changed in gnome-mplayer (Debian):
status: New → Fix Committed
Changed in gnome-mplayer (Debian):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.